CGI/Perl Guide | Learning Center | Forums | Advertise | Login
Site Search: in

  Main Index MAIN
INDEX
Search Posts SEARCH
POSTS
Who's Online WHO'S
ONLINE
Log in LOG
IN

Home: Perl Programming Help: Intermediate:
Perl::Tk widget error

 



amcleod
New User

Apr 28, 2009, 12:01 PM

Post #1 of 2 (1428 views)
Perl::Tk widget error Can't Post

I've a freshly installed Slackware 12.2 system with Perl 5.10.0 installed. I installed Tk and experience an error with any script using widgets:


Quote
no event type or button # or keysym at /usr/lib/perl5/site_perl/5.10.0/i486-linux-thread-multi/Tk/Widget.pm line 1105.


It even happens with the supplied 'widget' demo.

Anyone have any suggestions on how I might resolve this problem?


1arryb
User

Apr 30, 2009, 7:23 AM

Post #2 of 2 (1417 views)
Re: [amcleod] Perl::Tk widget error [In reply to] Can't Post

Hi amcleod,

This looks it could be a bug in perl-tk http://www.nabble.com/Bug-516266:-perl-tk:-breaks-clusterssh:-no-event-type-or-button---or-keysym-at--usr-lib-perl5-Tk-Widget-p22117703.html. Try installing the latest version and try again.

Cheers,

Larry

 
 


Search for (options) Powered by Gossamer Forum v.1.2.0

Web Applications & Managed Hosting Powered by Gossamer Threads
Visit our Mailing List Archives